Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Repository\Values\ContentType\ContentType Class Reference
Inheritance diagram for eZ\Publish\Core\Repository\Values\ContentType\ContentType:

## Public Member Functions
| __construct (array $data=[])
| Construct object optionally with a set of properties. More...
| getContentTypeGroups ()
| This method returns the content type groups this content type is assigned to. More...
| getFieldDefinitions ()
| This method returns the content type field definitions from this type. More...
| getFieldDefinition ($fieldDefinitionIdentifier)
| This method returns the field definition for the given identifier. More...
| getFieldDefinitionById ($fieldDefinitionId)
| This method returns the field definition for the given id. More...
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __set ($property, $value)
| Magic set function handling writes to non public properties. More...
| __get ($property)
| Magic get function handling read to non public properties. More...
| __isset ($property)
| Magic isset function handling isset() to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...
Public Member Functions inherited from eZ\Publish\SPI\Repository\Values\MultiLanguageName
| getNames ()
| Return the human readable name in all provided languages. More...
| getName ($languageCode=null)
| Return the name of the domain object in a given language. More...
Public Member Functions inherited from eZ\Publish\SPI\Repository\Values\MultiLanguageDescription
| getDescriptions ()
| Return the human readable description in all provided languages. More...
| getDescription ($languageCode=null)
| Return the human readable description of the domain object in a given language. More...

## Protected Attributes
| $contentTypeGroups = []
| $fieldDefinitions = []
| $fieldDefinitionsByIdentifier = []
| $fieldDefinitionsById = []
Protected Attributes inherited from eZ\Publish\API\Repository\Values\ContentType\ContentType
| $id
| $status
| $identifier
| $creationDate
| $modificationDate
| $creatorId
| $modifierId
| $remoteId
| $urlAliasSchema
| $nameSchema
| $isContainer
| $defaultAlwaysAvailable = true
| $defaultSortField
| $defaultSortOrder
| $languageCodes

## Additional Inherited Members
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Public Attributes inherited from eZ\Publish\API\Repository\Values\ContentType\ContentType
const | STATUS_DEFINED = 0
const | STATUS_DRAFT = 1
const | STATUS_MODIFIED = 2
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

Definition at line 37 of file Core/Repository/Values/ContentType/ContentType.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Repository\Values\ContentType\ContentType::__construct | ( | array | $properties = `[]` | ) |

Construct object optionally with a set of properties.

Readonly properties values must be set using $properties as they are not writable anymore after object has been created.

Parameters

  array | $properties |

Reimplemented from eZ\Publish\API\Repository\Values\ValueObject.

Definition at line 71 of file Core/Repository/Values/ContentType/ContentType.php.

## Member Function Documentation

## ◆ getContentTypeGroups()

eZ\Publish\Core\Repository\Values\ContentType\ContentType::getContentTypeGroups | ( |  | ) |

This method returns the content type groups this content type is assigned to.

Returns
  \eZ\Publish\API\Repository\Values\ContentType\ContentTypeGroup[]

Reimplemented from eZ\Publish\API\Repository\Values\ContentType\ContentType.

Definition at line 86 of file Core/Repository/Values/ContentType/ContentType.php.

References eZ\Publish\Core\Repository\Values\ContentType\ContentType\$contentTypeGroups.

## ◆ getFieldDefinition()

eZ\Publish\Core\Repository\Values\ContentType\ContentType::getFieldDefinition | ( |  | $fieldDefinitionIdentifier | ) |

This method returns the field definition for the given identifier.

Parameters

  string | $fieldDefinitionIdentifier |

Returns
  \eZ\Publish\API\Repository\Values\ContentType\FieldDefinition

Reimplemented from eZ\Publish\API\Repository\Values\ContentType\ContentType.

Definition at line 108 of file Core/Repository/Values/ContentType/ContentType.php.

## ◆ getFieldDefinitionById()

eZ\Publish\Core\Repository\Values\ContentType\ContentType::getFieldDefinitionById | ( |  | $fieldDefinitionId | ) |

This method returns the field definition for the given id.

Parameters

  mixed | $fieldDefinitionId |

Returns
  \eZ\Publish\API\Repository\Values\ContentType\FieldDefinition

Definition at line 124 of file Core/Repository/Values/ContentType/ContentType.php.

## ◆ getFieldDefinitions()

eZ\Publish\Core\Repository\Values\ContentType\ContentType::getFieldDefinitions | ( |  | ) |

This method returns the content type field definitions from this type.

Returns
  \eZ\Publish\API\Repository\Values\ContentType\FieldDefinition[]

Reimplemented from eZ\Publish\API\Repository\Values\ContentType\ContentType.

Definition at line 96 of file Core/Repository/Values/ContentType/ContentType.php.

References eZ\Publish\Core\Repository\Values\ContentType\ContentType\$fieldDefinitions.

## Member Data Documentation

## ◆ $contentTypeGroups

eZ\Publish\Core\Repository\Values\ContentType\ContentType::$contentTypeGroups = []
| protected

Definition at line 48 of file Core/Repository/Values/ContentType/ContentType.php.

Referenced by eZ\Publish\Core\Repository\Values\ContentType\ContentType\getContentTypeGroups().

## ◆ $fieldDefinitions

eZ\Publish\Core\Repository\Values\ContentType\ContentType::$fieldDefinitions = []
| protected

Definition at line 55 of file Core/Repository/Values/ContentType/ContentType.php.

Referenced by eZ\Publish\Core\Repository\Values\ContentType\ContentType\getFieldDefinitions().

## ◆ $fieldDefinitionsById

eZ\Publish\Core\Repository\Values\ContentType\ContentType::$fieldDefinitionsById = []
| protected

Definition at line 69 of file Core/Repository/Values/ContentType/ContentType.php.

## ◆ $fieldDefinitionsByIdentifier

eZ\Publish\Core\Repository\Values\ContentType\ContentType::$fieldDefinitionsByIdentifier = []
| protected

Definition at line 62 of file Core/Repository/Values/ContentType/ContentType.php.

The documentation for this class was generated from the following file:

- Core/Repository/Values/ContentType/ContentType.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.